mutate.Niche {galgo} | R Documentation

## Mutates a niche calling mutate method for all chromosomes

### Description

Mutates a niche calling mutate method for all chromosomes.

### Usage

    ## S3 method for class 'Niche'
    mutate(ni, n=(ni$mutationsFunc)(ni), ...)

### Arguments

`n` | Number of chromosomes to mutate. The default is the result of calling `mutationsFunc`.

### Details

This method update the gene values for random chromsomes. The number of chromosomes to mutate is normally obtained calling `mutationFunc`.

### Value

This methods returns the chromosome indexes mutated.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `Niche`. `mutate.Chromosome`(), `mutate.Gene`().

### Examples

       cr <- Chromosome(genes=newCollection(Gene(shape1=1, shape2=100),5))
       cr
       ni <- Niche(chromosomes = newRandomCollection(cr, 10))
       ni
       mutate(ni, 3)
       ni

[Package galgo version 1.4 Index]